package com.example.vaja4;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintStream;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity {

	private static String NZAGONOV_KEY="nZagonovKey";
	private static String FILENAME="datoteka.txt";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		TextView stevec = (TextView) findViewById(R.id.textViewStevec);
		
		//Prebere vrednost kljua NZAGONOV_KEY
		SharedPreferences sharedPref = getPreferences(MODE_PRIVATE);
		int n=sharedPref.getInt(NZAGONOV_KEY, 0);
		
		stevec.setText(String.valueOf(n));
		
		//Shrani novo vrednost
		SharedPreferences.Editor editor = sharedPref.edit();
		editor.putInt(NZAGONOV_KEY, n+1);
		editor.commit();

	}


	/**
	 * Nalozi datoteko in jo prikaze na zaslonu
	 * @param view
	 */
	public void naloziDatoteko(View view){		
		EditText vnos = (EditText) findViewById(R.id.editTextVnos);
		try {			
			FileInputStream inputStream = openFileInput(FILENAME);
			BufferedReader in = new BufferedReader(new InputStreamReader(inputStream));
			String tekst="";
			String line="";
			while ((line=in.readLine())!=null){
				tekst=tekst+line+"\n";				
			}
			in.close();
			vnos.setText(tekst);
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	/**
	 * Prebere tekst in ga prikae na zaslon.
	 * @param view
	 */
	public void shraniDatoteko(View view){
		EditText vnos = (EditText) findViewById(R.id.editTextVnos);
		String tekst = vnos.getText().toString();		
		try {
			FileOutputStream outputStream = openFileOutput(FILENAME, MODE_PRIVATE);
			PrintStream out = new PrintStream(outputStream);
			out.print(tekst);
			out.close();
			outputStream.close();
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}

	}


}
